=== debian/control ===
Source: rock-master-20.06-simulation-mars-app
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libqt4-dev, qt4-qmake, rock-master-20.06-simulation-lib-manager, rock-master-20.06-simulation-mars-common-gui-cfg-manager-gui, rock-master-20.06-simulation-mars-common-gui-data-broker-gui, rock-master-20.06-simulation-mars-common-gui-data-broker-plotter2, rock-master-20.06-simulation-mars-common-gui-lib-manager-gui, rock-master-20.06-simulation-mars-common-gui-log-console, rock-master-20.06-simulation-mars-common-gui-main-gui, rock-master-20.06-simulation-mars-entity-generation-smurf, rock-master-20.06-simulation-mars-graphics, rock-master-20.06-simulation-mars-gui, rock-master-20.06-simulation-mars-interfaces, rock-master-20.06-simulation-mars-plugins-cameragui, rock-master-20.06-simulation-mars-plugins-connectors, rock-master-20.06-simulation-mars-plugins-connexion-plugin, rock-master-20.06-simulation-mars-plugins-entity-view, rock-master-20.06-simulation-mars-plugins-skydomeplugin, rock-master-20.06-simulation-mars-scene-loader, rock-master-20.06-simulation-mars-sim, rock-master-20.06-simulation-mars-smurf-loader, rock-master-20.06-tools-configmaps
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-simulation-mars-app
Architecture: any
Depends: ${shlibs:Depends}, cmake, libqt4-dev, qt4-qmake, rock-master-20.06-simulation-lib-manager, rock-master-20.06-simulation-mars-common-gui-cfg-manager-gui, rock-master-20.06-simulation-mars-common-gui-data-broker-gui, rock-master-20.06-simulation-mars-common-gui-data-broker-plotter2, rock-master-20.06-simulation-mars-common-gui-lib-manager-gui, rock-master-20.06-simulation-mars-common-gui-log-console, rock-master-20.06-simulation-mars-common-gui-main-gui, rock-master-20.06-simulation-mars-entity-generation-smurf, rock-master-20.06-simulation-mars-graphics, rock-master-20.06-simulation-mars-gui, rock-master-20.06-simulation-mars-interfaces, rock-master-20.06-simulation-mars-plugins-cameragui, rock-master-20.06-simulation-mars-plugins-connectors, rock-master-20.06-simulation-mars-plugins-connexion-plugin, rock-master-20.06-simulation-mars-plugins-entity-view, rock-master-20.06-simulation-mars-plugins-skydomeplugin, rock-master-20.06-simulation-mars-scene-loader, rock-master-20.06-simulation-mars-sim, rock-master-20.06-simulation-mars-smurf-loader, rock-master-20.06-tools-configmaps, ruby
Description: mars_app
 DFKI Robot simulator application loader
